document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Post editor functionality
  const editor = document.querySelector('.post-editor');
  const publishButton = document.querySelector('.publish-button');

  if (editor && publishButton) {
    publishButton.addEventListener('click', () => {
      const content = editor.value.trim();
      if (content) {
        // Add publishing logic here
        alert('Post published successfully!');
        editor.value = '';
      } else {
        alert('Please write something before publishing.');
      }
    });
  }

  // Add animation on scroll
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('fade-in');
      }
    });
  });

  document.querySelectorAll('.post-card').forEach((card) => {
    observer.observe(card);
  });
});